## @file
##
## $Id$
##
## $Date$
## $Author$
##
## @copy &copy; Marc W&auml;ckerlin
## @license LGPL, see file <a href="license.html">COPYING</a>
##

SUBDIRS = mrw

EXTRA_DIST = bootstrap.sh

nobase_include_HEADERS = mrw/arg.hpp        mrw/list.hpp \
                         mrw/unistd.hpp \
                         mrw/auto.hpp       mrw/map.hpp \
			 mrw/smartpointer.hpp  mrw/vector.hpp \
                         mrw/deque.hpp      mrw/multimap.hpp \
                         mrw/exception.hpp  mrw/multiset.hpp  mrw/stdext.hpp \
                         mrw/exec.hpp       mrw/set.hpp       mrw/string.hpp \
			 mrw/regexp.hpp     mrw/tokenizer.hpp \
			 mrw/configfile.hpp mrw/file.hpp      mrw/errno.hpp
if HAVE_STACKTRACE
  nobase_include_HEADERS += mrw/stacktrace.hpp
endif
if HAVE_LTDL
  nobase_include_HEADERS += mrw/dynamiclibrary.hpp
endif
if HAVE_LOG4CXX
  nobase_include_HEADERS += mrw/functiontrace.hpp
endif
infosdir = ${pkgdatadir}
infos_DATA = AUTHORS NEWS README COPYING INSTALL ChangeLog \
             @PACKAGENAME@.spec

RPMS = /usr/src/packages/RPMS/i586/@PACKAGENAME@-minimal-@MAJOR@.@MINOR@.@LEAST@-1.i586.rpm \
     /usr/src/packages/RPMS/i586/@PACKAGENAME@-@MAJOR@.@MINOR@.@LEAST@-1.i586.rpm \
     /usr/src/packages/RPMS/i586/@PACKAGENAME@-mt-@MAJOR@.@MINOR@.@LEAST@-1.i586.rpm \
     /usr/src/packages/RPMS/i586/@PACKAGENAME@-devel-@MAJOR@.@MINOR@.@LEAST@-1.i586.rpm \
     /usr/src/packages/SRPMS/@PACKAGENAME@-@MAJOR@.@MINOR@.@LEAST@-1.src.rpm

.PHONY: release tag rpm webserver distclean-local

release: tag webserver

tag: distcheck
	svn ci -m "Release @MAJOR@-@MINOR@-@LEAST@ with tag: REL_@PACKAGENAME@-@MAJOR@-@MINOR@-@LEAST@" .
	svn cp . -m "Release @MAJOR@-@MINOR@-@LEAST@" file:///home/svn/pro/@PACKAGENAME@/tags/REL_@PACKAGENAME@-@MAJOR@-@MINOR@-@LEAST@

rpm: dist
	cp @PACKAGENAME@-@MAJOR@.@MINOR@.@LEAST@.tar.gz /usr/src/packages/SOURCES/
	rpmbuild -ba --clean @PACKAGENAME@.spec
	rpmbuild -bb --clean @PACKAGENAME@-minimal.spec

webserver: rpm webserver.en webserver.de webserver.zh
	- rm -rf ~/www/marc/data/doxygen/mrw-cpp
	mkdir -p  ~/www/marc/data/doxygen/mrw-cpp
	cp doc/html/*.html ~/www/marc/data/doxygen/mrw-cpp/
	cp doc/latex/@PACKAGENAME@-@MAJOR@.@MINOR@.@LEAST@.pdf \
	   @PACKAGENAME@-@MAJOR@.@MINOR@.@LEAST@.tar.gz \
	   ${RPMS} \
	   log4cxx*.rpm \
	   ~/www/marc/downloads/
	date +'%s	127.0.0.1	:computer:c_:mrw-c_:index	mrw	@PACKAGENAME@ version @MAJOR@.@MINOR@.@LEAST@' >> ~/www/marc/data/changes.log

webserver.%:
	- rm -rf ~/www/marc/data/media/$(@:webserver.%=%)/computer/c_/mrw-c_
	mkdir -p ~/www/marc/data/media/$(@:webserver.%=%)/computer/c_/mrw-c_
	cp doc/html/*.png \
	   doc/html/*.gif \
	   ~/www/marc/data/media/$(@:webserver.%=%)/computer/c_/mrw-c_/

maintainer-clean-local:
	- find . -name '*~' | xargs rm
	- rm -r doc
	- rm -r autom4te.cache
	- rm aclocal.m4 config.guess config.sub configure \
	     depcomp install-sh ltmain.sh makefile makefile.in \
	     missing mkinstalldirs
